﻿
@{
    Layout = "_DevExtremeLayout";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" type="text/css" href="~/css/util.css">
    <title>DANH SÁCH NHÂN VIÊN</title>
</head>
<body>
    <a class="navbar-brand">DANH SÁCH NHÂN VIÊN</a>
    @(Html.DevExtreme().DataGrid<dbChange.Models.Staff>
    ()
    .DataSource(ds => ds.Mvc()
    .Controller("Staff")
    .LoadAction("GetAllStaffs")
    .UpdateAction("Put")
    .Key("Id")
    )

    .AllowColumnReordering(true)
    .RowAlternationEnabled(true)
    .ShowBorders(true)

    .SearchPanel(s => s
    .Visible(true)
    .HighlightCaseSensitive(true)
    )
    .GroupPanel(g => g.Visible(false))
    .Grouping(g => g.AutoExpandAll(false))
    .WordWrapEnabled(false)
    .ShowColumnLines(true)
    .ShowRowLines(true)
    .RowAlternationEnabled(true)
    .AllowColumnResizing(true)
    .ColumnMinWidth(100)
    .ColumnAutoWidth(true)
    .FilterRow(f => f.Visible(true))
    .HeaderFilter(h => h.Visible(true))
    .RemoteOperations(false)
    // .Scrolling(scrolling => scrolling.ColumnRenderingMode(GridColumnRenderingMode.Virtual))
    .Paging(p => p.PageSize(25))
    .Pager(p => p
    .ShowPageSizeSelector(true)
    .AllowedPageSizes(new[] { 10, 25, 50, 100 })

    )

    .Columns(columns => {


        columns.AddFor(m => m.Id).Fixed(true).FixedPosition(HorizontalEdge.Left).Caption("#").AllowEditing(false).MinWidth(40).HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.AddFor(m => m.HoTen).Fixed(true).FixedPosition(HorizontalEdge.Left).MinWidth(150).Caption("Họ và tên\r\n(*)").AllowEditing(false).HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.AddFor(m => m.NgaySinh).Fixed(false).FixedPosition(HorizontalEdge.Left).Caption("Ngày sinh dạng\r\ndd/mm/yyyy\r\n(*)").MinWidth(50).HeaderCellTemplate(new JS("headerCellTemplate"));
        columns.Add().Caption("Thông tin chung").Columns(c =>
        {


            c.AddFor(m => m.GioiTinh).Caption("Giới tính\r\n(0:nam, 1:nữ)\r\n(*)").MinWidth(100).HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.MaNhom).Caption("Mã nhóm đối tượng ưu tiên\r\n(*)").MinWidth(100).HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.DonVi).Caption("Đơn vị công tác").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.DienThoai).Caption("Số điện thoại\r\n(Tối thiểu 10 số)\r\n(*)").MinWidth(100).HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.CMND).Caption("Số CMT/CCCD\r\n(Loại 8/9/12 số)").MinWidth(100)
            .HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.BHYT).Caption("Số thẻ bảo hiểm y tế\r\n(Mã thẻ 10/15 ký tự)").MinWidth(100).HeaderCellTemplate(new JS("headerCellTemplate"));
        }).HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.Add().Caption("Nơi ở tạm trú (hiện tại)\r\n(Tham khảo PL3)\r\n(*)").Columns(c =>
        {
            c.AddFor(m => m.TenTinh).Caption("Tỉnh\r\nThành phố").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.MaTinh).Caption("Mã\r\nTỉnh\r\nThành phố\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.TenQuan).Caption("Quận\r\nHuyện").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.MaQuan).Caption("Mã\r\nQuận\r\nHuyện\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.TenPhuong).Caption("Xã\r\nPhường").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.MaPhuong).Caption("Mã\r\nXã\r\nPhường\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.DiaChi).Caption("Địa chỉ chi tiết");
        }).HeaderCellTemplate(new JS("headerCellTemplate"));


        columns.Add().Caption("Mũi 1").Columns(c => {

            c.AddFor(m => m.Mui1_TenVacxin).Caption("Tên vắc xin\r\n(Tham khảo PL5)\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.Mui1_NgayTiem).Caption("Ngày tiêm dạng\r\ndd/mm/yyyy\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.Mui1_SoLo).Caption("Lô vắc xin(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.Mui1_DiaDiem).Caption("Địa điểm tiêm\r\n(Tham khảo PL4)\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));



        }).HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.Add().Caption("Mũi 2").Columns(c =>
        {
            c.AddFor(m => m.Mui2_TenVacxin).Caption("Tên vắc xin\r\n(Tham khảo PL5)\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.Mui2_NgayTiem).Caption("Ngày tiêm dạng\r\ndd/mm/yyyy (*)").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.Mui2_SoLo).Caption("Lô vắc xin(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

            c.AddFor(m => m.Mui2_DiaDiem).Caption("Địa điểm tiêm\r\n(Tham khảo PL4)\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));
        }).HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.AddFor(m => m.GhiChu).Caption("Ghi chú").HeaderCellTemplate(new JS("headerCellTemplate"));

        columns.AddFor(m => m.KetQuaImPort).Caption("Kết quả import\r\n(không điền ô này)").AllowEditing(false).HeaderCellTemplate(new JS("headerCellTemplate"));

          columns.AddFor(m => m.UrlHinhGiayXN).Caption("Giấy xác nhận").EditCellTemplate(@<text>
                                   <form id="form" method="post" enctype="multipart/form-data" asp-action="FileSelection" asp-controller="Staff">
                                                <div id="fileuploader-container">
                                                    @(Html.DevExtreme().FileUploader()
                                                        .Name("Photo")
                                                        .SelectButtonText("Select photo")
                                                        .LabelText("")
                                                        .Accept("image/*")
                                                        .UploadMode(FileUploadMode.UseForm)
                                                        
                                                    )
                                                </div>
                                                @(Html.DevExtreme().Button()
                                                    .ID("button")
                                                    .Text("Update profile")
                                                    .Type(ButtonType.Success)
                                                    .UseSubmitBehavior(true)
                                                )
                                            </form>
                        </text>).HeaderCellTemplate(new JS("headerCellTemplate"));

    })
    .Editing(e => e.Mode(GridEditMode.Form)

    .AllowUpdating(true)
    .SelectTextOnEditStart(true)
    .UseIcons(true)
    
    .Form(
    f => f.Items(items =>
    {
        items.AddGroup().Caption("Thông tin nhân viên")
        .ColCount(2)
        .ColSpan(2)

        .Items(groupItems =>
        {
            groupItems.AddSimpleFor(m => m.UrlHinhGiayXN);
            groupItems.AddSimpleFor(m => m.Id);
            groupItems.AddSimpleFor(m => m.HoTen);
            groupItems.AddSimpleFor(m => m.NgaySinh);
            groupItems.AddSimpleFor(m => m.GioiTinh);
            groupItems.AddSimpleFor(m => m.MaNhom);
            groupItems.AddSimpleFor(m => m.DonVi);
            groupItems.AddSimpleFor(m => m.DienThoai);
            groupItems.AddSimpleFor(m => m.CMND);
            groupItems.AddSimpleFor(m => m.BHYT);

        });
        items.AddGroup().Caption("Nơi ở tạm trú (hiện tại) (Tham khảo PL3)(*)")
        .ColCount(2)
        .ColSpan(2)

        .Items(groupItems =>
        {
            groupItems.AddSimpleFor(m => m.TenTinh);
            groupItems.AddSimpleFor(m => m.MaTinh);
            groupItems.AddSimpleFor(m => m.TenQuan);
            groupItems.AddSimpleFor(m => m.MaQuan);
            groupItems.AddSimpleFor(m => m.TenPhuong);
            groupItems.AddSimpleFor(m => m.MaPhuong);
            groupItems.AddSimpleFor(m => m.DiaChi);
        });


        items.AddGroup().Caption("Mũi 1")
        .ColCount(2)
        .ColSpan(2)

        .Items(groupItems =>
        {
            groupItems.AddSimpleFor(m => m.Mui1_TenVacxin);
            groupItems.AddSimpleFor(m => m.Mui1_NgayTiem);
            groupItems.AddSimpleFor(m => m.Mui1_SoLo);
            groupItems.AddSimpleFor(m => m.Mui1_DiaDiem);
        });
        items.AddGroup().Caption("Mũi 2")
        .ColCount(2)
        .ColSpan(2)

        .Items(groupItems =>
        {
            groupItems.AddSimpleFor(m => m.Mui2_TenVacxin);
            groupItems.AddSimpleFor(m => m.Mui2_NgayTiem);
            groupItems.AddSimpleFor(m => m.Mui2_SoLo);
            groupItems.AddSimpleFor(m => m.Mui2_DiaDiem);
        });
        items.AddGroup().Caption("Thông tin khác")
        .ColCount(2)
        .ColSpan(2)

        .Items(groupItems =>
        {
            groupItems.AddSimpleFor(m => m.GhiChu)


        .ColSpan(2)
        .Editor(editor => editor.TextArea().Height(100));
            groupItems.AddSimpleFor(m => m.KetQuaImPort);

        });





    }))

    )
    )
    <script>
        var CurrId = 0;
        function headerCellTemplate(header, info) {
            $("<div>").html(info.column.caption.replace(/\r\n/g, "<br/>"))
                .css('font-size', '12px')
                .css('text-align', 'center')
                .appendTo(header);
            header.parent().css("backgroundColor", "#ccffff").css("font-weight", "bold");

        }

        function addIdParameter(e) {

            alert(CurrId.g);
            this.uploadUrl = this.updateQueryStringParameter(this.uploadUrl, "id", CurrId);
            e.component.option("uploadUrl", this.uploadUrl);
        }
        function addOfficeParameter(e) {
            if (e.value !== e.previousValue) {
                this.uploadUrl = this.updateQueryStringParameter(this.uploadUrl, "office", e.value);
            }
        }
        function updateQueryStringParameter(uri, key, value) {
            var re = new RegExp("([?&])" + key + "=.*?(&|$)", "i");
            var separator = uri.indexOf('?') !== -1 ? "&" : "?";
            if (uri.match(re)) {
                return uri.replace(re, '$1' + key + "=" + value + '$2');
            }
            else {
                return uri + separator + key + "=" + value;
            }
        }
    </script>

</body>
</html>
